<?xml version="1.0" encoding="utf-8" ?>
<Recipe xmlns="http://schemas.microsoft.com/pag/gax-core">
	<Caption>Connection string wizard pages</Caption>
	<Arguments>
		<Argument Name="HostProject" Type="EnvDTE.Project, EnvDTE, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" Required="false">
			<Converter
			  Type="Microsoft.Practices.SoftwareFactories.ServiceFactory.Converters.ProjectWithResponsibilityConverter, Microsoft.Practices.SoftwareFactories.ServiceFactory"
			  ResponsibilityArgument="IsHostProject"/>
			<!--<ValueProvider Type="Microsoft.Practices.SoftwareFactories.ServiceFactory.ValueProviders.ProjectsWithResponsibilityProvider, Microsoft.Practices.SoftwareFactories.ServiceFactory"
						   ResponsibilityArgument="IsHostProject" />-->
		</Argument>
		<Argument Name="ConfigurationItem" Type="EnvDTE.ProjectItem, EnvDTE, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
			<Converter Type="Microsoft.Practices.RecipeFramework.Library.Converters.ProjectItemConverter, Microsoft.Practices.RecipeFramework.Library" />
			<ValueProvider Type="Howest.Guidance.Extensions.ValueProviders.VisualStudio.ConfigurationItemProvider, Howest.Guidance.Extensions"
					 ProjectArgumentName="HostProject">
				<MonitorArgument Name="HostProject"/>
			</ValueProvider>
		</Argument>
		<Argument Name="ConnectionSettings" Type="System.Configuration.ConnectionStringSettings, System.Configuration, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
			<Converter Type="Microsoft.Practices.RecipeFramework.Extensions.Converters.ConnectionStringConverter, Microsoft.Practices.RecipeFramework.Extensions"
				   ConfigurationItemArgument="ConfigurationItem" />
		</Argument>
	</Arguments>
	<GatheringServiceData>
		<Wizard xmlns="http://schemas.microsoft.com/pag/gax-wizards" SchemaVersion="1.0">
			<Pages>
				<Page>
					<Title>Database connection properties</Title>
					<LinkTitle>Specify database connection properties</LinkTitle>
					<Help>Specify a connection for your database. You can choose an existing connection or create a new one.</Help>
					<Fields>
						<Field Label="Host Project" ValueName="HostProject">
							<Tooltip>Host Project.</Tooltip>
						</Field>
						<Field ValueName="ConnectionSettings" Label="Connection name">
							<Tooltip>Connection string information.</Tooltip>
						</Field>
					</Fields>
				</Page>
			</Pages>
		</Wizard>
	</GatheringServiceData>
</Recipe>
